summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'www-apps/cvsweb/files')
-rw-r--r--www-apps/cvsweb/files/cvsweb-3.0.6-perl518.patch25
-rw-r--r--www-apps/cvsweb/files/postinstall-en.txt1
-rw-r--r--www-apps/cvsweb/files/reconfig15
3 files changed, 41 insertions, 0 deletions
diff --git a/www-apps/cvsweb/files/cvsweb-3.0.6-perl518.patch b/www-apps/cvsweb/files/cvsweb-3.0.6-perl518.patch
new file mode 100644
index 000000000000..ba1195ae9160
--- /dev/null
+++ b/www-apps/cvsweb/files/cvsweb-3.0.6-perl518.patch
@@ -0,0 +1,25 @@
+Source:
+http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/www/cvsweb/patches/patch-cvsweb.cgi.diff?r1=1.1.2.1&r2=1.1.2.2&f=h
+
+Fix warnings from newer perl versions
+
+--- cvsweb.cgi.orig 2013-07-30 12:49:33.268655300 +0000
++++ cvsweb.cgi
+@@ -1192,7 +1192,7 @@ EOF
+ <legend>General options</legend>
+ <input type="hidden" name="copt" value="1" />
+ EOF
+- for my $v qw(hidecvsroot hidenonreadable) {
++ for my $v (qw(hidecvsroot hidenonreadable)) {
+ printf(qq{<input type="hidden" name="%s" value="%s" />\n},
+ $v, $input{$v} || 0);
+ }
+@@ -2951,7 +2951,7 @@ sub printLog($$$;$$)
+ print "<br />\n";
+
+ print '<i>';
+- if (defined @mytz) {
++ if (@mytz) {
+ my ($est) = $mytz[(localtime($date{$_}))[8]];
+ print scalar localtime($date{$_}), " $est</i> (";
+ } else {
diff --git a/www-apps/cvsweb/files/postinstall-en.txt b/www-apps/cvsweb/files/postinstall-en.txt
new file mode 100644
index 000000000000..e6e1dbf1e54e
--- /dev/null
+++ b/www-apps/cvsweb/files/postinstall-en.txt
@@ -0,0 +1 @@
+Now edit ${VHOST_ROOT}/cvsweb.conf
diff --git a/www-apps/cvsweb/files/reconfig b/www-apps/cvsweb/files/reconfig
new file mode 100644
index 000000000000..10767108f1a9
--- /dev/null
+++ b/www-apps/cvsweb/files/reconfig
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+die() {
+ echo "#####"
+ echo $1
+ echo "#####"
+ exit 1
+}
+
+if [ $1 = "install" ]; then
+ sed "s|/usr/local/etc/cvsweb/cvsweb.conf|${VHOST_ROOT}/cvsweb.conf|g
+ s|/usr/local/etc/cvsweb|${VHOST_ROOT}|g
+ s|/css/cvsweb.css|/cvsweb.css|g
+ s|/usr/local/etc/apache/mime.types|/etc/mime.types|g" -i ${VHOST_ROOT}/cgi-bin/cvsweb.cgi ${VHOST_ROOT}/cvsweb.conf || die "sed failed"
+fi